services:
    d2_campos_service_definition_manager:
        class:          D2\CamposBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_campos_partner_file_manager:
        class:          D2\CamposBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_campos_waybill_manager:
        class:          D2\CamposBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_campos_service_definition_manager, @d2_calc_manager]

    d2_campos_bundle.twig.campos_extension:
        class:          D2\CamposBundle\Twig\CamposTwigExtension
        arguments:      [@doctrine, @service_container, @d2_campos_partner_file_manager, @d2_campos_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_campos_bundle.waybill_with_selected.extension:
        class:          D2\CamposBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: campos_list }
            - { name: d2.with_selected, alias: campos_waybill }
